%define rname	imagewriter_suse

Name:		imagewriter
Version:	1.10
Release:	%mkrel 2.1
Summary:	Utility for writing raw disk images & hybrid ISOs to USB keys
License:	GPLv2
Group:		System/Configuration 
Url:		https://github.com/mbarringer/imagewriter
Source0:	%{name}-%{version}.tar.gz
Patch0:		imagewriter.pro-fix-icons-name.patch
Patch1:		imagewriter.desktop-mga-change.patch

BuildRequires:	gcc-c++
BuildRequires:	make
BuildRequires:	qt4-devel
BuildRequires:	udisks2

%description
A graphical utility for writing raw disk images & hybrid ISOs to USB keys

%prep
%setup -q
%apply_patches

# rename_icons(Otherwise conflict with the package usb-imagewriter)
for png in 128x128 64x64 32x32; do
mv ./icons/${png}/%{name}.png ./icons/${png}/%{rname}.png
done

%build
qmake DEFINES=USEUDISKS2 PREFIX=%{buildroot}%{_prefix} imagewriter.pro
make CFLAGS="$RPM_OPT_FLAGS -DKIOSKHACK"

%install
%makeinstall_std
mkdir -p %{buildroot}%{_sbindir}
# rename_binary(Otherwise conflict with the package usb-imagewriter)
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_sbindir}/%{rname}
cp %{name}.desktop %{buildroot}%{_datadir}/applications

# Adjust for console-helper magic
pushd %{buildroot}%{_bindir}
ln -s consolehelper %{rname}
popd

%files
%doc COPYING
%{_bindir}/%{rname}
%{_sbindir}/%{rname}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{rname}.*


%changelog

* Sat Jun 29 2013 david.david (MLO Team) <david.david> 1.10-2.1.mga3
+ Revision: 2.1
- correcting name suse

* Sat Jun 29 2013 david.david (MLO Team) <david.david> 1.10-2.mga3
+ Revision: 2
- change binary name imagewriter to imagewriter_suse
- change P0 to imagewriter.desktop-mga-change.patch
- update P0 to fix directory of binary
- drop Conflicts package: usb-imagewriter
- add a consolehelper symlink to imagewriter_suse

* Sat Jun 22 2013 david.david (MLO Team) <david.david> 1.10-1.mga3
+ Rebuild package for Mageia 3 (Core)
- imported package imagewriter from Suze
- add P0: imagewriter.desktop-change.patch
- add Conflicts package: usb-imagewriter
- version: 1.10